---
marp: true
title: Projet de premier brevet
author: P.Y. Barriat
description: Brevet état d'avancement
backgroundImage: url('assets/back.png')
_backgroundImage: url('assets/garde.png')
footer: 04/10/2023 | Brevet - état d'avancement | PY Barriat
_footer: ""
paginate: true
_paginate: false
math: true
---

Brevet : état d'avancement<!--fit-->
===

![h:250](assets/nextcloud.png)

**Pierre-Yves Barriat**
Projet de premier brevet `October 4th, 2023`

---

# Planification initiale

- Phase 1 : Initialisation du projet (mai 2022)
- Phase 2 : Analyse et conception (juillet 2022)
- Phase 3 : Développement (novembre 2022)

- Phase 4 : Test (*décembre 2022*)
- Phase 5 : Documentation et présentation (*mars 2023*)

Phase de développement (locale) terminée fin août 2023

Début des tests dans l'environnement OpenStack du CISM en septembre

---

### Développement Ansible

> https://gogs.elic.ucl.ac.be/pbarriat/Brevet/src/master/dev

- Stockage : ceph, glusterfs, nfs
- Monitoring : grafana, node_exporter, prometheus
- DB : mariadb, proxysql, galera
- Outils : haproxy, keepalived
- Caching: Redis, keydb
- Serveur Web: apache, nginx, php
- Nextcloud

### Développement Nextcloud

- Script de migration FS / S3 en PHP

---

<!-- Environnement de développement avancé -->

![h:850](./assets/dia_nc_dev_improved.png)

---

<!-- Environnement de test pour migration -->

![h:850](./assets/dia_nc_test_migration.png)

---

## Test : migration

https://gogs.elic.ucl.ac.be/pbarriat/Brevet/src/master/dev/Migration.md

## Test : intégration

- montages externes
- partages
- apps
- LDAP (? nouveau field pour NC ?)
- shibboleth authentication ?

## Test : performance

---

<!-- Environnement de test avancé -->

![h:850](./assets/dia_nc_test_improved.png)

---

# Estimation

- Phase 4 : Tests

  3 mois (décembre 2023)

- Phase 5 : **fin en mars 2024**

  Déploiement prod
  Documentation
  Présentation 